discover_sysdep_device_data(3)

NAME
discover_sysdep_device_data -

SYNOPSIS

#include <sysdep.h>

  Data Fields
char * path
char * value
discover_sysdep_device_data * next

Detailed Description

Linked list node, used to return data specific to the sysdep/device in question, to be passed to the user under the 'device' data path.

Definition at line 43 of file sysdep.h.

Field Documentation

  struct discover_sysdep_device_data* discover_sysdep_device_data::next

Pointer to the next data node

Definition at line 49 of file sysdep.h.

Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().

  char* discover_sysdep_device_data::path

String giving the path for the data (not including 'device'

Definition at line 45 of file sysdep.h.

Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().

  char* discover_sysdep_device_data::value

String with the data's value

Definition at line 47 of file sysdep.h.

Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().

Author

Generated automatically by Doxygen for discover from the source code.